Cloudcraft
==========

Take to the skies with Cloudcraft! Cloudcraft adds tangible clouds to your world which can be harvested and used to craft an array of cloud-related items.

Clouds
------

The primary feature of Cloudcraft is the clouds that it adds to the skies of your world. Clouds will appear randomly high in the air and will also be found in clusters beneath sky islands such as mapgen v7 floatlands or [Cloudlands](https://content.luanti.org/packages/DrFrankenstone/cloudlands/). Clouds may be difficult to access in worlds without some form of sky islands or flight.

Clouds can be harvested by hand quite easily, but beware that disturbing clouds will cause them to disperse as you harvest them. Clouds disperse slowly when using your bare hand or a normal item; they will disperse much more quickly when using light-emitting items such as torches which can be useful for clearing clouds away quickly.

When harvested by hand and by most items, clouds have a chance to produce dew drops. Dew drops can be cooked in a furnace to produce clouds that you can place and craft with. Clouds placed by players are not subject to dispersal, so feel free to use them as decoration!

Clouds can be used to craft useful items as described in the following sections.

Cloud Tools
-----------

Clouds can be used to craft cloud tools that have special mining properties. All of the familiar tool types can be crafted in the typical tool shapes with sticks and clouds:

- **Cloud Pickaxe**: Used to mine cracky nodes such as stone
- **Cloud Axe**: Used to mine choppy nodes such as tree trunks
- **Cloud Shovel**: Used to mine crumbly nodes such as dirt

Although cloud tools mine slowly and wear out quickly, they possess a very special quality: any node dug with the appropriate cloud tool will always drop itself, similar to the [silk touch](https://minecraft.wiki/w/Silk_Touch) enchantment in Minecraft. This grants you ready access to nodes that are otherwise difficult or time-consuming to produce, such as dirt with grass or raw stone.

When clouds are harvested with cloud tools, they will always drop a cloud and tools used to harvest clouds will not wear out. This makes cloud tools a high priority for efficient cloud harvesting!

Cloud Armor
-----------

If the [3D Armor](https://content.luanti.org/packages/stu/3d_armor/) mod is enabled, you will have access to cloud armor. This special armor offers very little protection against enemies and is very fragile, but it will grant you protection from fall damage as well as increased jump height and reduced gravity. With a full set of cloud armor equipped, you will be completely immune to fall damage and you will be able jump almost three nodes high.

These properties make cloud armor a very valuable asset for safe travels in the sky!

Awards
------

If the [Awards](https://content.luanti.org/packages/rubenwardy/awards/) mod is enabled, Cloudcraft will add a couple of awards for certain milestones:

- **Weightless**: Equip a full set of cloud armor
- **Cumulonimble**: Get a node's unique self-drop by digging with an appropriate cloud tool